Get Bundle

Get Bundle
Retrieve a bundle by its ID

Get a Bundle

Request
URI
GET
https://{api_host}/v1/bundles/{id}
COPY
Path Parameters
string
id
Required  

Bundle ID

id example
e6ba8240-d9b7-11ef-bf62-63832c57ab1a

Responses
200

OK

Returns Bundle of type(s) application/json
{
    "id": "string",
    "type": "One among: SDDC_MANAGER, VMWARE_SOFTWARE",
    "description": "string",
    "version": "string",
    "severity": "One among: CRITICAL, IMPORTANT, MODERATE, LOW",
    "vendor": "string",
    "releasedDate": "string",
    "isCumulative": false,
    "isCompliant": false,
    "sizeMB": "number",
    "downloadStatus": "One among: PENDING, SCHEDULED, IN_PROGRESS, SUCCESSFUL, FAILED",
    "components": [
        {
            "description": "string",
            "vendor": "string",
            "releasedDate": "string",
            "toVersion": "string",
            "fromVersion": "string",
            "imageType": "One among: PATCH, INSTALL",
            "id": "string",
            "type": "string"
        }
    ],
    "applicabilityStatus": "One among: SUCCESS, IN_PROGRESS, FAILED, AVAILABLE, PENDING",
    "applicabilityOrder": 1,
    "isPartiallyUpgraded": true
}
string
id
Read-Only  

Bundle ID

string
type
Required   Read-Only  

Bundle Type

string
description
Read-Only  

Bundle Description

string
version
Read-Only  

Bundle Version

string
severity
Read-Only  

Bundle Severity

string
vendor
Read-Only  

Bundle Vendor

string
releasedDate
Read-Only  

Bundle Release Date

boolean
isCumulative
Read-Only  

Is Bundle Cumulative

boolean
isCompliant
Read-Only  

Is compliant with the current VCF version

number As double As double
sizeMB
Read-Only  

Bundle Size in MB

string
downloadStatus
Required   Read-Only  

Bundle Download Status

array of object
components
Read-Only  

Bundle Components

string
applicabilityStatus
Read-Only  

Bundle Applicability Status

integer As int32 As int32
applicabilityOrder
Read-Only  

Bundle Applicability Order

boolean
isPartiallyUpgraded
Read-Only  

Is Bundle partially upgraded


404

Bundle Not Found

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/bundles/{id}